type Query {
  bookById(id: ID): Book
  allBooks: [Book]
  allAuthors:[Author]
}

type Book {
  id: ID !
  name: String
  pageCount: Int
  author:Author
}

type Author {
  id: ID !
  firstname: String
  lastname: String
}